#ifndef USERCLASSES_H
#define USERCLASSES_H

#include "ftpaccess.h"
#include "UserClassesBase.h"

class UserClasses : public UserClassesBase {
	Q_OBJECT
public:
			UserClasses(QWidget * parent=0, const char * name=0);
			~UserClasses();
public slots:
	void		newClassPressed();
	void		deleteClassPressed();
	void		addLimitPressed();
	void		editLimitPressed();
	void		deleteLimitPressed();
	void		limitChanged(ftplimit *f, ftpclass *c);
	void		classAdded(ftpclass *c);
	void		classDeleted(char const * const c);
	void		groupSelected(const QString &item);
	void		autogroupSelected();
	void		classSelected(const QString &item);
	void		ftpaccessLoaded(ftpaccess *xs);
	void		update();
private:
	void		redrawList();
	void		redrawLimits();
	ftpaccess *	ftpxs;
	QString		current;
};

#endif

